#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi                                               

# build depends 
su -c 'tce-load -wl submitqc4 wget' tc 
su -c 'tce-load -i submitqc4 wget' tc 
F=seamonkey

# start
cd /tmp
su -c '/usr/local/bin/wget -nc http://download.cdn.mozilla.net/pub/mozilla.org/seamonkey/releases/2.17.1/linux-i686/en-US/seamonkey-2.17.1.tar.bz2 \
 -O /tmp/'seamonkey-2.17.1.tar.bz2 tc
tar jxvf sea*bz2
# creates folder called seamonkey
mv seamonkey seamonkey-src
mkdir -p $F/usr/local/tce.installed
mv seamonkey-src $F/usr/local/seamonkey

echo "#!/bin/sh
if [ -f /usr/local/bin/seamonkey ] ; then  
	rm -rf /usr/local/bin/seamonkey
	ln -s /tmp/tcloop/seamonkey/usr/local/seamonkey/seamonkey /usr/local/bin/
else 
	ln -s /tmp/tcloop/seamonkey/usr/local/seamonkey/seamonkey /usr/local/bin/
fi
" > $F/usr/local/tce.installed/seamonkey 

chown -R root:staff $F/usr/local/tce.installed
chmod -R 775        $F/usr/local/tce.installed

mkdir -p $F/usr/local/share/pixmaps
cp -f seamonkey/usr/local/seamonkey/chrome/icons/default/default48.png seamonkey/usr/local/share/pixmaps/seamonkey.png

mkdir -p $F/usr/local/share/applications
echo "[Desktop Entry]
Name=seamonkey
Exec=/usr/local/seamonkey/seamonkey
Terminal=False
Comment=Firefox Web Browser
StartupNotify=True
Type=Application
Categories=Application;Network;
Icon=seamonkey
X-FullPathIcon=/usr/local/share/pixmaps/seamonkey.png
" > $F/usr/local/share/applications/seamonkey.desktop

# squash 
mksquashfs $F $F.tcz
md5sum $F.tcz > $F.tcz.md5.txt
cd $F
find usr -not -type d > /tmp/$F.tcz.list

# finish off
cd /tmp

echo "gtk2.tcz
libasound.tcz
dbus-glib.tcz
" > seamonkey.tcz.dep

submitqc4

